Subject: bug#15168: mkdir alway creates a file instead a direktory if it is run trough a sub sub shell

From: Bob Proulx <[email-masked]>
Date: Fri, 23 Aug 2013 12:48:51 -0600

Horvan, Please use reply-all to keep the bug log in the recipient list
rather than reply to me privately.  That way all of the team can
participate.  The bug log is that 15168 address in the recipient list.
Thanks.  I forward this to the bug log.

horvan dillus wrote:
> This is just one bug related to mkdir The short version of this
> could be I ran mkdir in a sub sub shell and it creates a file
> instead a directory as i mentioned in the subject.  this has nothing
> to do with wget. Sorry for the missunderstanding

Please show us exactly what you did to cause mkdir to create a file
instead of a directory.  The use of a sub sub shell will not matter to
mkdir.

Until we see how you did this we will think it is not a bug in mkdir
but is instead a bug in your script.  But if you show us then all
doubt is removed.  Please show us.

Bob